Don't display submitted pages in "Pages / collections shared with this group"

Bug #1386000 reported by Kristina Hoeppner on 2014-10-26
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mahara
15.10
Medium
Unassigned
16.04
Medium
Unassigned
16.10
Medium
Cecilia Vela Gurovic

Bug Description

When a user submits a page / collection to a group, the group admin sees it both under "Pages / collections shared with this group" and "Submitted pages / collections". This is confusing as the pages / collections show up twice and it's not easy to see that they have actually been submitted only. I think it would be best to show submitted pages that have not been shared with the rest of the group only in "Submitted pages / collections".

Aaron Wells (u-aaronw) wrote :

Agreed.

tags: added: snack-sized
tags: added: assessment groups

Hi Marcelo,

Strangely, your comment doesn't show up here in the activity log. :-( So I'll post it below and answer it.

Pages show up twice when you submit a page to a group. It's not only simple sharing. So the scenario would be the following:

1. Create a controlled group as admin and tick the setting "Allow submissions".
2. Add user1 to the group.
3. Log in as user 1 and create a 3 pages of which 2 to put into a collection.
4. Submit the single page and the collection to the group.
4. Log in as admin and go to the group. You see that the pages and collections show up under "Shared" as well as "Submissions". I'll attach a screenshot.

Cheers
Kristina

----------------------

Comment from Marcelo Ortega that didn't come through here in Launchpad but via email:

I couldn't reproduce it:

Create user1 as admin of group1
Create user2, join group1

Test A>
user2 creates a page on group1 via navegation Groups>group1>Pages>Create Page>Edit content>Save
user1 logs in and see the new page listed in Group pages, but not in Pages shared with this group.

Test B>
user2 creates a page outside any group via navegation Portfolio>Create Page, edits its content and Save it. Once saved the page, the user2 edits its access and shares it with group1.
user1 logs in and see the new page not listed in Group pages, but listed on Pages shared with this group.

Am I doing something wrong?

We have the same problem, with v1.10.0

The issue is not with sharing pages or collections at all.

The issue is with submitted pages (and collections) showing up under their "shared with this group" section (only the admin can see this).

So when the group admin logs in, they see the submitted page or collection under the "Submissions to this group" section, but they also see it under the "shared with this group" section, so it looks like the person hasn't just submitted, but also shared it, even though they haven't. Other users in the group don't see it as a shared page, but it is confusing for the admin.

Aaron Wells (u-aaronw) wrote :

I think the reason it shows up, is because when you submit a page to a group, it creates a record in the "view_access" table, just the same as if you had shared the page via the Sharing screen. And the "Shared Pages" block is basically just listing the records in the "view_access" table.

Robert Lyon (robertl-9) on 2015-04-17
Changed in mahara:
milestone: 15.04.0 → 15.04.1
Aaron Wells (u-aaronw) wrote :

Still a problem in 15.10dev.

Changed in mahara:
milestone: 15.04.1 → 15.10.0
Aaron Wells (u-aaronw) on 2015-10-23
Changed in mahara:
milestone: 15.10.0 → 15.10.1

This is the expected behaviour:

Group G1: Controlled, allows submissions, roles: Standard (Member,Admin)
Users: Admin, Member

In About page Admin user sees
 - in section Pages shared:
 pages shared in G1 (but not submitted to G1) that admin user has access to see (Everyone in group, Admin)
 - in section Collections shared:
 collections shared in G1 (but not submitted to G1) that admin user has access to see (Everyone in group, Admin)
 - in section Submissions:
 pages submitted to G1 but not shared in G1
 pages submitted to G1 and shared in G1
 collections submitted to G1 but not shared in G1
 collections submitted to G1 and shared in G1

In About page Member user sees
 - in section Pages shared:
 pages shared in G1 that Member user has access to see (Everyone in group, Member)
 - in section Collections shared:
 collections shared in G1 that Member user has access to see (Everyone in group, Member)

Group G2: Controlled, allows submissions, roles: Course (Member, Tutor, Admin)
Users: Admin, Tutor, Member

Same as G1 for Admin and Member

In About page Tutor user sees
 - in section Pages shared:
 pages shared in G2 (but not submitted to G2) that tutor user has access to see (Everyone in group, Tutor)
 - in section Collections shared:
 collections shared in G2 (but not submitted to G2) that tutor user has access to see (Everyone in group, Tutor)
 - in section Submissions:
 pages submitted to G2 but not shared in G2
 pages submitted to G2 and shared in G2
 collections submitted to G2 but not shared in G2
 collections submitted to G2 and shared in G2

Niranjan (niranjan528) wrote :

The pages and collection now seen only at submissions part. Qa Passed

Reviewed: https://reviews.mahara.org/6987
Committed: https://git.mahara.org/mahara/mahara/commit/33c4a9b70e348e60db4bb84de035278d9cbadc39
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 33c4a9b70e348e60db4bb84de035278d9cbadc39
Author: Cecilia Vela Gurovic <email address hidden>
Date: Mon Sep 19 13:41:47 2016 +1200

Bug 1386000: Group homepage to only show submitted items once

Change group homepage so that it does not to show repeated pages/collections in different sections shared/submitted
Updated create_group() in TestingDataGenerator.php to set in the DB the correct group role of a user

Change-Id: I07504f38a35d4dda4a3c4f440d94cffed293bbf2

Reviewed: https://reviews.mahara.org/7061
Committed: https://git.mahara.org/mahara/mahara/commit/44fe56cb8a1ec7972d99ab0d8a3f91075494a259
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit 44fe56cb8a1ec7972d99ab0d8a3f91075494a259
Author: Cecilia Vela Gurovic <email address hidden>
Date: Mon Sep 19 13:41:47 2016 +1200

Bug 1386000: Group homepage to only show submitted items once

Change group homepage so that it does not to show repeated pages/collections in different sections shared/submitted
Updated create_group() in TestingDataGenerator.php to set in the DB the correct group role of a user

Change-Id: I07504f38a35d4dda4a3c4f440d94cffed293bbf2
(cherry picked from commit 33c4a9b70e348e60db4bb84de035278d9cbadc39)

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/7063

Reviewed: https://reviews.mahara.org/7063
Committed: https://git.mahara.org/mahara/mahara/commit/69d70e899e430d1ecf8871be1440b300137665f5
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 69d70e899e430d1ecf8871be1440b300137665f5
Author: Cecilia Vela Gurovic <email address hidden>
Date: Mon Sep 19 13:41:47 2016 +1200

Bug 1386000: Group homepage to only show submitted items once

Change group homepage so that it does not to show repeated pages/collections in different sections shared/submitted
Updated create_group() in TestingDataGenerator.php to set in the DB the correct group role of a user

Change-Id: I07504f38a35d4dda4a3c4f440d94cffed293bbf2
(cherry picked from commit 33c4a9b70e348e60db4bb84de035278d9cbadc39)
(cherry picked from commit 44fe56cb8a1ec7972d99ab0d8a3f91075494a259)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7062
Committed: https://git.mahara.org/mahara/mahara/commit/34c4e01445c1ccc6f9a72e4701aef93da2857c9a
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 34c4e01445c1ccc6f9a72e4701aef93da2857c9a
Author: Cecilia Vela Gurovic <email address hidden>
Date: Mon Sep 19 13:41:47 2016 +1200

Bug 1386000: Group homepage to only show submitted items once

Change group homepage so that it does not to show repeated pages/collections in different sections shared/submitted
Updated create_group() in TestingDataGenerator.php to set in the DB the correct group role of a user

Change-Id: I07504f38a35d4dda4a3c4f440d94cffed293bbf2
(cherry picked from commit 33c4a9b70e348e60db4bb84de035278d9cbadc39)
(cherry picked from commit 44fe56cb8a1ec7972d99ab0d8a3f91075494a259)

tags: added: usermanualupdate
Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.04.1 → none
no longer affects: mahara
tags: removed: usermanualupdate
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers